{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "#": "minecraft:iron_ingot",
    "P": "minecraft:birch_planks"
  },
  "pattern": [
    "  #",
    "PPP",
    "   "
  ],
  "result": {
    "count": 1,
    "id": "acesbs:bubble_pipe"
  }
}